Skip to content

upsertContractor

DESTRUCTIVE

Upsert contractor.

POST /api/v1/resources/upsertContractor
curl -X POST '<your-host>/api/v1/resources/upsertContractor' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "contractorWithAbilities": {},
    "_operation": "create"
  }'

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"

Input schema

schema
{
  "type": "object",
  "properties": {
    "contractorWithAbilities": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string"
        },
        "hoursPerWeek": {
          "type": "number"
        },
        "abilities": {
          "type": "array",
          "items": {
            "type": "string"
          }
        },
        "customFields": {}
      },
      "required": [
        "id",
        "abilities"
      ]
    },
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "contractorWithAbilities",
    "_operation"
  ]
}